// Copyright (c) 2010 Ivan Vanderbyl
// Originally found at http://ivan.ly/ui
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
	
	(function( $ ){
		  // Simple wrapper around jQuery animate to simplify animating progress from your app
		  // Inputs: Progress as a percent, Callback
		  // TODO: Add options and jQuery UI support.
		
		  $.fn.animateProgress = function(progress, callback) {    
			  return this.each(function() {
		      $(this).animate({
		        width: progress+'%'
		      }, {
		        duration: 50000,       
		        // swing or linear
		        easing: 'swing',
		        step: function( progress ){
		          var labelEl = $('.ui-label', this),
		              valueEl = $('.value', labelEl);
		          
		          if (Math.ceil(progress) < 20 && $('.ui-label', this).is(":visible")) {
		             labelEl.hide();
		          }else{
		            if (labelEl.is(":hidden")) {
		              labelEl.fadeIn();
		            };
		          }
		          
		          if (Math.ceil(progress) == 99) {
			            valueEl.text('100%');
		          }else{
		            valueEl.text(Math.ceil(progress) + '%');
		          }
		        /*
		        },
		        complete: function(scope, i, elem) {
		          if (callback) {
		            callback.call(this, i, elem );
		          };
		         */ 
		        }
		      
		      });
		    });
		  };
		})( jQuery );

	


function loadProgress() {
	$('#ui-progress').remove();
	document.getElementById('progress_bar').style.display = 'block';
	$('#progress_bar').prepend("<div class='ui-progress' id='ui-progress' style='display:block;'>"
		+ "<span class='ui-label' id='ui-label' style='display:none;'><b class='value'>79%</b></span></div>");		 
	
		$('.ui-progress').css('width', '7%');
		  $('#progress_bar .ui-progress').animateProgress(100, function() {
		    $(this).animateProgress(100, function() {
		    	setTimeout(function() {
		        $('#progress_bar .ui-progress').animateProgress(100, function() {
		        });
		     	}, 500);
		    });
		  });		  	
}



